package fr.univ.lille.strategies;

import java.util.List;

import fr.univ.lille.exploration.FMExplorer;

public abstract class AbstractStrategy implements Strategy {

	protected List<List<String>> remainingConfigurations;
	protected List<List<String>> allConfigurations;

	public abstract List<String> getNextConfiguration();
	
	public abstract void setExplorer(FMExplorer fmExplorer);
	public abstract void init();
	
	public abstract boolean hasRemainingConfigurations();
//	{
//		boolean empty = remainingConfigurations.isEmpty();
//		if (empty) {
//			System.out.println("No more remaining configurations to explore");
//		}
//		return !empty;
//	}

	public void setAllConfigurations(List<List<String>> listOfAllConfigurations) {
		this.allConfigurations = listOfAllConfigurations;
	}

	public void setRemainingConfigurations(List<List<String>> listOfAllConfigurations) {
		this.remainingConfigurations = listOfAllConfigurations;
	}

	public List<List<String>> getAllConfigurations() {
		return this.allConfigurations;
	}
}
